<div class="Header-container">
    <div class="Header__title">
        <h2>Awesome NgRx</h2>
    </div>

    <mat-toolbar class="Header__menu">
        <mat-toolbar-row>
            <div *ngFor="let item of menuItems; let i = index">
                <div *ngIf="item.children; else no_child" class="Header__menu-item dropdown">
                    <button
                        mat-menu-item
                        id="{{ item.id }}"
                        [matMenuTriggerFor]="submenu"
                        [routerLinkActive]="'active'"
                    >
                        <span>{{ item.name }}</span>
                    </button>
                    <mat-menu #submenu="matMenu" [overlapTrigger]="false">
                        <button
                            mat-menu-item
                            id="{{ child.id }}"
                            *ngFor="let child of item.children; let i = index"
                            [routerLinkActive]="'active'"
                            [routerLink]="[child.route]"
                        >
                            <span *ngIf="child.route">{{ child.name }}</span>
                            <span *ngIf="child.url">
                                <a href="{{ child.url }}" target="_blank">{{ child.name }}</a>
                            </span>
                        </button>
                    </mat-menu>
                </div>
                <ng-template #no_child>
                    <div class="Header__menu-item">
                        <button mat-menu-item [routerLinkActive]="'active'" [routerLink]="[item.route]">
                            <span>{{ item.name }}</span>
                        </button>
                    </div>
                </ng-template>
            </div>
        </mat-toolbar-row>
    </mat-toolbar>

    <div class="Header__user">
        <button *ngIf="userInfo" mat-fab><img ng-src="" /></button>
        <app-google-signin-button *ngIf="!userInfo" class="ml-4"></app-google-signin-button>
    </div>
</div>
